      subroutine psum(p1,p2, p)
      implicit none

      integer ndim
      parameter (ndim=4)
      real p1(ndim),p2(ndim),p(ndim)

      integer i

      do i=1,ndim
         p(i) = p1(i) + p2(i)
      enddo

      return
      end
